package com.bcxin.api.interfaces.tenants;

import com.bcxin.Infrastructures.Pageable;
import com.bcxin.Infrastructures.enums.InvitedType;
import com.bcxin.api.interfaces.identities.requests.InvitedToJoinQueuesRequest;
import com.bcxin.api.interfaces.tenants.criterias.InvitedToJoinQueuesCriteria;
import com.bcxin.api.interfaces.tenants.requests.employees.EmployeeRequest;
import com.bcxin.api.interfaces.tenants.requests.employees.InvitedToJoinRequest;
import com.bcxin.api.interfaces.tenants.responses.InvitedToJoinQueuesGetResponse;
import com.bcxin.api.interfaces.tenants.responses.InvitedToJoinQueuesHandleResponse;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface InvitedToJoinQueuesRpcProvider {

    void create(InvitedType invitedType,String inviteId, InvitedToJoinRequest request);

    Pageable<InvitedToJoinQueuesGetResponse> find(String organizationId, InvitedToJoinQueuesCriteria criteria);

    void dispatch(String organizationId, InvitedToJoinQueuesRequest request);

    /**
     * description：根据证件号码，查询邀请入职列表，取最新的那条
     * author：linchunpeng
     * date：2024/4/18
     */
    List<InvitedToJoinQueuesHandleResponse> findListByCredentialNumbers(List<String> credentialNumberList);
}
