package com.bcxin.api.interfaces.tenants.responses;

import com.bcxin.Infrastructures.enums.InvitedStatus;
import com.bcxin.api.interfaces.ResponseAbstract;
import lombok.Getter;

@Getter
public class InvitedToJoinQueuesHandleResponse extends ResponseAbstract {

    private final String credentialNumber;

    private final Integer invitedStatus;

    public InvitedToJoinQueuesHandleResponse(String credentialNumber, InvitedStatus invitedStatus) {
        this.credentialNumber = credentialNumber;
        if(invitedStatus != null) {
            this.invitedStatus = invitedStatus.ordinal();
        } else {
            this.invitedStatus = InvitedStatus.Pending.ordinal();
        }
    }

    public static InvitedToJoinQueuesHandleResponse create(String credentialNumber, InvitedStatus invitedStatus) {
        return new InvitedToJoinQueuesHandleResponse(credentialNumber, invitedStatus);
    }
}
